Package org.apache.cxf.helpers

## Class CastUtils

- java.lang.Object
- - org.apache.cxf.helpers.CastUtils

-     public final class CastUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `cast​(long value)` |
    `static <T> Collection<T>` | `cast​(Collection<?> p)` |
    `static <T> Collection<T>` | `cast​(Collection<?> p, Class<T> cls)` |
    `static <T,​U> Dictionary<T,​U>` | `cast​(Dictionary<?,​?> p)` |
    `static <T,​U> Dictionary<T,​U>` | `cast​(Dictionary<?,​?> p, Class<T> t, Class<U> u)` |
    `static <T> Enumeration<T>` | `cast​(Enumeration<?> p)` |
    `static <T> Enumeration<T>` | `cast​(Enumeration<?> p, Class<T> cls)` |
    `static <T> Iterator<T>` | `cast​(Iterator<?> p)` |
    `static <T> Iterator<T>` | `cast​(Iterator<?> p, Class<T> cls)` |
    `static <T> List<T>` | `cast​(List<?> p)` |
    `static <T> List<T>` | `cast​(List<?> p, Class<T> cls)` |
    `static <T,​U> Map.Entry<T,​U>` | `cast​(Map.Entry<?,​?> p)` |
    `static <T,​U> Map.Entry<T,​U>` | `cast​(Map.Entry<?,​?> p, Class<T> pc, Class<U> uc)` |
    `static <T,​U> Map<T,​U>` | `cast​(Map<?,​?> p)` |
    `static <T,​U> Map<T,​U>` | `cast​(Map<?,​?> p, Class<T> t, Class<U> u)` |
    `static <T> Set<T>` | `cast​(Set<?> p)` |
    `static <T> Set<T>` | `cast​(Set<?> p, Class<T> cls)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### cast

          public static <T,​U> Map<T,​U> cast​(Map<?,​?> p)

    - #### cast

          public static <T,​U> Map<T,​U> cast​(Map<?,​?> p,
                                                        Class<T> t,
                                                        Class<U> u)

    - #### cast

          public static <T,​U> Dictionary<T,​U> cast​(Dictionary<?,​?> p)

    - #### cast

          public static <T,​U> Dictionary<T,​U> cast​(Dictionary<?,​?> p,
                                                               Class<T> t,
                                                               Class<U> u)

    - #### cast

          public static <T> Collection<T> cast​(Collection<?> p)

    - #### cast

          public static <T> Collection<T> cast​(Collection<?> p,
                                               Class<T> cls)

    - #### cast

          public static <T> List<T> cast​(List<?> p)

    - #### cast

          public static <T> List<T> cast​(List<?> p,
                                         Class<T> cls)

    - #### cast

          public static <T> Iterator<T> cast​(Iterator<?> p)

    - #### cast

          public static <T> Iterator<T> cast​(Iterator<?> p,
                                             Class<T> cls)

    - #### cast

          public static <T> Enumeration<T> cast​(Enumeration<?> p)

    - #### cast

          public static <T> Enumeration<T> cast​(Enumeration<?> p,
                                                Class<T> cls)

    - #### cast

          public static <T> Set<T> cast​(Set<?> p)

    - #### cast

          public static <T> Set<T> cast​(Set<?> p,
                                        Class<T> cls)

    - #### cast

          public static <T,​U> Map.Entry<T,​U> cast​(Map.Entry<?,​?> p)

    - #### cast

          public static <T,​U> Map.Entry<T,​U> cast​(Map.Entry<?,​?> p,
                                                              Class<T> pc,
                                                              Class<U> uc)

    - #### cast

          public static int cast​(long value)